Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)
GETElastic Bare Metal Management(Plus)Since 4.0.0SynchronousAuth Required

QueryBareMetal2Gateway

QueryBareMetal2Gateway

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventory.

    • attachedClusterUuidsListRequired

      The attached cluster UUIDs.

    • usernameStringRequired

      The username of the gateway.

    • sshPortIntegerRequired

      The SSH port.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The name of the gateway.

    • uuidStringRequired

      The UUID of the gateway.

    • clusterUuidStringRequired

      The cluster UUID.

    • descriptionStringRequired

      The detailed description of the gateway.

    • managementIpStringRequired

      The IP address of the management node.

    • hypervisorTypeStringRequired

      The virtualization type.

    • stateStringRequired

      The state of the gateway.

    • statusStringRequired

      The connection status of the gateway.

    • totalCpuCapacityLongRequired

      The total processing capacity of CPU.

    • availableCpuCapacityLongRequired

      The available processing capacity of CPU.

    • cpuSocketsIntegerRequired

      No description provided.

    • totalMemoryCapacityLongRequired

      The total memory size.

    • availableMemoryCapacityLongRequired

      The available memory size.

    • cpuNumIntegerRequired

      The number of CPU cores.

    • createDateTimestampRequired

      The time when the gateway was created.

    • lastOpDateTimestampRequired

      The time when the was gateway last modified.

    • provisionNicBareMetal2GatewayProvisionNicInventoryRequired

      See provisionNic.

      • uuidStringRequired

        The NIC UUID.

      • networkUuidStringRequired

        The deployment network UUID.

      • interfaceNameStringRequired

        The name of the NIC.

      • ipStringRequired

        The IP address of the NIC.

      • netmaskStringRequired

        The netmask of the NIC.

      • gatewayStringRequired

        The gateway IP address.

      • metadataStringRequired

        附加元数据。

      • createDateTimestampRequired

        The time when the NIC was created.

      • lastOpDateTimestampRequired

        The time when the NIC was last modified.

Endpoint

GET/zstack/v1/baremetal2/gateways

/zstack/v1/baremetal2/gateways

Operation ID

QueryBareMetal2Gateway

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/baremetal2/gateways' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "username": "username", "password": "password", "sshPort": 22.0, "zoneUuid": "d5e6f16bbbab4c1e8c71a0ad108837d9", "name": "BM_GATEWAY", "uuid": "19b634f736574b7c93ff89c8741714d7", "description": "This is a bare metal gateway.", "managementIp": "192.168.0.10", "state": "Enabled", "status": "Connected", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history